// --------------------------------------------------------------------------
// Request
// --------------------------------------------------------------------------

.request {
    margin: 0 -20px;
    @include breakpoint(md) {
        margin: 0 -45px;
    }
    @include breakpoint(lg) {
        margin: 0 -55px;
    }
    @include breakpoint(xl) {
        margin: 0 0 100px;
    }
}


.request__wrapper {
    position: relative;
    z-index: 1;
    // background: linear-gradient(180deg, rgba(0, 82, 88, 0.8) -87.78%, rgba(0, 117, 126, 0.8) 14.44%, rgba(255, 255, 255, 0.352) 123.25%), #4E8F94;
    background: linear-gradient(79.92deg, #005258 -34.23%, #00757E 10.08%, rgba(255, 255, 255, 0) 103.56%), #DCE5E6;
    color: #fff;
    padding: 31px 20px;
    
    @include breakpoint(md) {
        padding: 33px 45px 25px;
        &:after {
            content: '';
            position: absolute;
            top: 42px;
            left: 412px;
            right: -45px;
            bottom: 0;
            display: flex;
            align-items: flex-end;
            justify-content: center;
            max-width: none;
            padding: 0;
            margin: 0;
            background: url(../images/bg-request.webp) no-repeat center bottom;
            background-size: auto 100%;
            z-index: -1;
        }
    }

    @include breakpoint(lg) {
        padding: 33px 55px 60px;
        &:after {
            top: 28px;
            left: 580px;
        }
    }
    @include breakpoint(xl) {
        padding: 76px 60px 83px;
        display: flex;
        &:after {
            left: 960px;
            right: 0;
        }
       
    }
}

.request__desc {
    @include breakpoint(md) {
        width: 384px;
    }
    @include breakpoint(lg) {
        width: 500px;
    }
    @include breakpoint(xl) {
        width: 414px;
        margin: 0 60px 0 0;
    }
}

.request__title {
    @extend .ui-title-33;
    font-weight: 400;
    margin: 0 0 31px;
    @include breakpoint(md) {
        margin: 0 0 25px;
        
    }
    @include breakpoint(lg) {
        margin: 0 0 38px;
        
    }
}

.request__text {
    display: none;
    @include breakpoint(xl) {
        display: block;
    }
}

.request__form {
    .ui-select {
        margin: 0 0 18px;
    }
    .ui-input {
        margin: 0;
    }
    @include breakpoint(md) {
        width: 364px;
        .ui-select {
            margin: 0 0 26px;
        }
        .ui-input {
            margin: 0 0 29px;
        }
    }
    @include breakpoint(lg) {
        position: relative;
        .ui-select {
            margin: 0 0 20px;
        }
        .ui-input {
            margin: 0;
        }
    }
    @include breakpoint(xl) {
        .ui-input {
            margin: 0 0 20px;
        }
    }
}



.request__action {
    text-align: center;
    white-space: nowrap;
    @include breakpoint(lg) {
        position: absolute;
        left: 100%;
        bottom: 0;
        margin: 0 0 0 35px;
    }
    @include breakpoint(xl) {
        position: relative;
        left: 0;
        margin: 0;
        text-align: left;
    }
    @include breakpointMax(md) {
        margin: 10px 0 0;
        &:before {
            content: '';
            display: block;
            background: url(../images/bg-request.webp) no-repeat center bottom;
            background-size: auto 100%;
            width: 280px;
            height: 280px;
            margin: 0 auto;
        }
        .ui-btn {
            font-size: 22px;
            padding: 18px 35px;
            height: 68px;
        }
    }
}
